## dunelegacy 0.99.4

=== CMakeLists.txt ===
# Configure config.h
configure_file(
    ${CMAKE_SOURCE_DIR}/include/config.h.in
    ${CMAKE_BINARY_DIR}/include/config.h
)

# Main executable
if(APPLE)
    # Create macOS application bundle
    add_executable(dunelegacy MACOSX_BUNDLE)
    
    # Set bundle properties
    set_target_properties(dunelegacy PROPERTIES
        MACOSX_BUNDLE TRUE
        MACOSX_BUNDLE_BUNDLE_NAME "Dune Legacy"
        MACOSX_BUNDLE_BUNDLE_VERSION "${PROJECT_VERSION}"
        MACOSX_BUNDLE_SHORT_VERSION_STRING "${PROJECT_VERSION}"
        MACOSX_BUNDLE_LONG_VERSION_STRING "${PROJECT_VERSION}"
        MACOSX_BUNDLE_ICON_FILE "dunelegacy.icns"
        MACOSX_BUNDLE_GUI_IDENTIFIER "net.dunelegacy.DuneLegacy"
        MACOSX_BUNDLE_INFO_PLIST "${CMAKE_SOURCE_DIR}/IDE/xCode/Info.plist"
        MACOSX_BUNDLE_COPYRIGHT "© Dune Legacy Team"
        XCODE_ATTRIBUTE_PRODUCT_BUNDLE_IDENTIFIER "net.dunelegacy.DuneLegacy"
    )
    
    # Add icon to bundle
    set_source_files_properties(${CMAKE_SOURCE_DIR}/dunelegacy.icns PROPERTIES
        MACOSX_PACKAGE_LOCATION "Resources"
    )
    target_sources(dunelegacy PRIVATE ${CMAKE_SOURCE_DIR}/dunelegacy.icns)
else()
    add_executable(dunelegacy)
endif()

# Enable Win32 subsystem on Windows
if(WIN32)
    if(MSVC)
        # Add Windows resource file with icon for MSVC
        target_sources(dunelegacy PRIVATE "${CMAKE_SOURCE_DIR}/resource.rc")
        # Set application icon properties for MSVC
        set_target_properties(dunelegacy PROPERTIES
            VS_DPI_AWARE "PerMonitor"
            WIN32_EXECUTABLE TRUE)
        
        target_link_options(dunelegacy PRIVATE
            $<$<CONFIG:Release>:/SUBSYSTEM:WINDOWS>
            $<$<CONFIG:Debug>:/SUBSYSTEM:CONSOLE>
        )
    else()
        # For MinGW, add the resource file with the icon
        configure_file(
            "${CMAKE_CURRENT_SOURCE_DIR}/dunelegacy.rc"
            "${CMAKE_CURRENT_BINARY_DIR}/dunelegacy.rc"
            COPYONLY
        )
        target_sources(dunelegacy PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/dunelegacy.rc")
        
        # MinGW equivalent for Windows subsystem
        if(CMAKE_BUILD_TYPE STREQUAL "Release")
            target_link_options(dunelegacy PRIVATE -mwindows)
        else()
            target_link_options(dunelegacy PRIVATE -mconsole)
        endif()
    endif()
    
    # When using vcpkg, CMake will automatically handle DLL copying
    # Add a post-build message for confirmation
    add_custom_command(TARGET dunelegacy POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E echo "vcpkg will automatically copy required DLLs to output directory"
        COMMENT "Checking for SDL2 DLLs..."
    )
endif()

# Precompiled headers
if(DUNELEGACY_ENABLE_PCH AND WIN32 AND MSVC)
    target_precompile_headers(dunelegacy
        PRIVATE
            ${PCH_HEADER}
    )
    target_sources(dunelegacy
        PRIVATE
            ${PCH_SOURCE}
    )
endif()

# All source files
target_sources(dunelegacy
    PRIVATE
        # Root sources
        AStarSearch.cpp
        Bullet.cpp
        Choam.cpp
        Command.cpp
        CommandManager.cpp
        CrashHandler.cpp
        CursorManager.cpp
        Explosion.cpp
        Game.cpp
        GameInitSettings.cpp
        GameInterface.cpp
        House.cpp
        Map.cpp
        SpatialGrid.cpp
        MapSeed.cpp
        globals.cpp
        main.cpp
        mmath.cpp
        ObjectBase.cpp
        ObjectData.cpp
        ObjectManager.cpp
        ObjectPointer.cpp
        RadarView.cpp
        ScreenBorder.cpp
        sand.cpp
        SoundPlayer.cpp
        Tile.cpp

        # INIMap
        INIMap/INIMapLoader.cpp
        INIMap/INIMapEditorLoader.cpp
        INIMap/INIMapPreviewCreator.cpp

        # FileClasses
        FileClasses/Animation.cpp
        FileClasses/Cpsfile.cpp
        FileClasses/Decode.cpp
        FileClasses/FileManager.cpp
        FileClasses/FontManager.cpp
        FileClasses/GFXManager.cpp
        FileClasses/Icnfile.cpp
        FileClasses/IndexedTextFile.cpp
        FileClasses/INIFile.cpp
        FileClasses/LoadSavePNG.cpp
        FileClasses/lodepng.cpp
        FileClasses/MentatTextFile.cpp
        FileClasses/Pakfile.cpp
        FileClasses/Palfile.cpp
        FileClasses/PictureFactory.cpp
        FileClasses/POFile.cpp
        FileClasses/SFXManager.cpp
        FileClasses/Shpfile.cpp
        FileClasses/TextManager.cpp
        FileClasses/TTFFont.cpp
        FileClasses/Vocfile.cpp
        FileClasses/Wsafile.cpp
        FileClasses/adl/sound_adlib.cpp
        FileClasses/adl/surroundopl.cpp
        FileClasses/adl/woodyopl.cpp
        FileClasses/music/ADLPlayer.cpp
        FileClasses/music/DirectoryPlayer.cpp
        FileClasses/music/XMIPlayer.cpp
        FileClasses/xmidi/xmidi.cpp

        # GUI
        GUI/Button.cpp
        GUI/GUIStyle.cpp
        GUI/Widget.cpp
        GUI/Window.cpp
        GUI/ScrollBar.cpp
        GUI/ListBox.cpp
        GUI/DropDownBox.cpp
        GUI/TextView.cpp
        GUI/RadioButtonManager.cpp
        GUI/dune/ChatManager.cpp
        GUI/dune/DuneStyle.cpp
        GUI/dune/GameOptionsWindow.cpp
        GUI/dune/LoadSaveWindow.cpp
        GUI/dune/InGameMenu.cpp
        GUI/dune/InGameSettingsMenu.cpp
        GUI/dune/NewsTicker.cpp
        GUI/dune/MessageTicker.cpp
        GUI/dune/BuilderList.cpp
        GUI/dune/WaitingForOtherPlayers.cpp

        # Menu
        Menu/MenuBase.cpp
        Menu/MainMenu.cpp
        Menu/SinglePlayerMenu.cpp
        Menu/SinglePlayerSkirmishMenu.cpp
        Menu/CustomGameMenu.cpp
        Menu/CustomGamePlayers.cpp
        Menu/CustomGameStatsMenu.cpp
        Menu/OptionsMenu.cpp
        Menu/AboutMenu.cpp
        Menu/HouseChoiceMenu.cpp
        Menu/MentatMenu.cpp
        Menu/MultiPlayerMenu.cpp
        Menu/BriefingMenu.cpp
        Menu/HouseChoiceInfoMenu.cpp
        Menu/MentatHelp.cpp
        Menu/MapChoice.cpp
        Menu/CampaignStatsMenu.cpp
        Menu/ModMenu.cpp
        Menu/ModEditorMenu.cpp

        # Network
        Network/LANGameFinderAndAnnouncer.cpp
        Network/NetworkManager.cpp
        Network/ENetHttp.cpp
        Network/MetaServerClient.cpp
        Network/VersionChecker.cpp
        Network/UPnPManager.cpp

        # Players
        players/Player.cpp
        players/HumanPlayer.cpp
        players/PlayerFactory.cpp
        players/AIPlayer.cpp
        players/CampaignAIPlayer.cpp
        players/QuantBot.cpp
        players/QuantBotConfig.cpp
        players/SmartBot.cpp

        # Mod System
        mod/ModManager.cpp

        # Structures
        structures/StructureBase.cpp
        structures/BuilderBase.cpp
        structures/TurretBase.cpp
        structures/Barracks.cpp
        structures/ConstructionYard.cpp
        structures/GunTurret.cpp
        structures/HeavyFactory.cpp
        structures/HighTechFactory.cpp
        structures/IX.cpp
        structures/LightFactory.cpp
        structures/Palace.cpp
        structures/Radar.cpp
        structures/Refinery.cpp
        structures/RepairYard.cpp
        structures/RocketTurret.cpp
        structures/Silo.cpp
        structures/StarPort.cpp
        structures/Wall.cpp
        structures/WindTrap.cpp
        structures/WOR.cpp

        # Units
        units/UnitBase.cpp
        units/AirUnit.cpp
        units/GroundUnit.cpp
        units/InfantryBase.cpp
        units/TrackedUnit.cpp
        units/TankBase.cpp
        units/Carryall.cpp
        units/Devastator.cpp
        units/Deviator.cpp
        units/Frigate.cpp
        units/Harvester.cpp
        units/Launcher.cpp
        units/MCV.cpp
        units/Ornithopter.cpp
        units/Quad.cpp
        units/RaiderTrike.cpp
        units/Saboteur.cpp
        units/SandWorm.cpp
        units/SiegeTank.cpp
        units/Soldier.cpp
        units/SonicTank.cpp
        units/Tank.cpp
        units/Trike.cpp
        units/Trooper.cpp

        # CutScenes
        CutScenes/CutScene.cpp
        CutScenes/Scene.cpp
        CutScenes/Intro.cpp
        CutScenes/Meanwhile.cpp
        CutScenes/Finale.cpp
        CutScenes/VideoEvent.cpp
        CutScenes/WSAVideoEvent.cpp
        CutScenes/FadeOutVideoEvent.cpp
        CutScenes/FadeInVideoEvent.cpp
        CutScenes/HoldPictureVideoEvent.cpp
        CutScenes/CrossBlendVideoEvent.cpp
        CutScenes/TextEvent.cpp
        CutScenes/CutSceneTrigger.cpp

        # MapEditor
        MapEditor/ChoamWindow.cpp
        MapEditor/MapEditor.cpp
        MapEditor/MapEditorInterface.cpp
        MapEditor/MapEditorOperation.cpp
        MapEditor/MapGenerator.cpp
        MapEditor/MapEditorRadarView.cpp
        MapEditor/MapSettingsWindow.cpp
        MapEditor/MapMirror.cpp
        MapEditor/NewMapWindow.cpp
        MapEditor/LoadMapWindow.cpp
        MapEditor/PlayerSettingsWindow.cpp
        MapEditor/ReinforcementsWindow.cpp
        MapEditor/TeamsWindow.cpp

        # Trigger
        Trigger/TriggerManager.cpp
        Trigger/ReinforcementTrigger.cpp
        Trigger/TimeoutTrigger.cpp

        # misc
        misc/DiscordManager.cpp
        misc/draw_util.cpp
        misc/FileSystem.cpp
        misc/fnkdat.cpp
        misc/format.cpp
        misc/IFileStream.cpp
        misc/md5.cpp
        misc/OFileStream.cpp
        misc/Random.cpp
        misc/sound_util.cpp
        misc/string_util.cpp
        misc/Scaler.cpp
)

# C source files
target_sources(dunelegacy
    PRIVATE
        # enet
        enet/callbacks.c
        enet/compress.c
        enet/host.c
        enet/list.c
        enet/packet.c
        enet/peer.c
        enet/protocol.c
        enet/unix.c
        enet/win32.c

        # fixmath
        fixmath/fix16.c
        fixmath/fix16_exp.c
        fixmath/fix16_sqrt.c
        fixmath/fix16_str.c
        fixmath/fix16_trig.c
        fixmath/fix32.c
        fixmath/fix32_exp.c
        fixmath/fix32_sqrt.c
        fixmath/fix32_str.c
        fixmath/fix32_trig.c
)

# Platform-specific source files
if(APPLE)
    target_sources(dunelegacy
        PRIVATE
            ${CMAKE_SOURCE_DIR}/IDE/xCode/MacFunctions.m
    )
    # Enable Objective-C ARC (Automatic Reference Counting)
    set_source_files_properties(${CMAKE_SOURCE_DIR}/IDE/xCode/MacFunctions.m
        PROPERTIES
            COMPILE_FLAGS "-fobjc-arc"
    )
endif()

# Source groups for better organization in IDEs
source_group(TREE ${CMAKE_CURRENT_SOURCE_DIR} PREFIX "Source Files" FILES ${sources})

# Include directories
target_include_directories(dunelegacy PRIVATE
    ${CMAKE_SOURCE_DIR}/include
    ${CMAKE_SOURCE_DIR}/src
)

# Platform-specific include directories
if(APPLE)
    target_include_directories(dunelegacy PRIVATE
        ${CMAKE_SOURCE_DIR}/IDE/xCode
    )
endif()

# Find miniupnpc for UPnP support
find_package(miniupnpc CONFIG REQUIRED)

# Find discord-rpc for Discord Rich Presence
find_library(DISCORD_RPC_LIBRARY discord-rpc PATHS ${CMAKE_PREFIX_PATH}/lib)

# Link libraries
# vcpkg provides modern CMake targets for SDL2
target_link_libraries(dunelegacy
    PRIVATE
        $<TARGET_NAME_IF_EXISTS:SDL2::SDL2main>
        $<IF:$<TARGET_EXISTS:SDL2::SDL2>,SDL2::SDL2,SDL2::SDL2-static>
        $<IF:$<TARGET_EXISTS:SDL2_mixer::SDL2_mixer>,SDL2_mixer::SDL2_mixer,SDL2_mixer::SDL2_mixer-static>
        $<IF:$<TARGET_EXISTS:SDL2_ttf::SDL2_ttf>,SDL2_ttf::SDL2_ttf,SDL2_ttf::SDL2_ttf-static>
        CURL::libcurl
        miniupnpc::miniupnpc
        ${DISCORD_RPC_LIBRARY}
)

if(WIN32)
    target_link_libraries(dunelegacy
        PRIVATE
            ws2_32
            winmm
            imm32
            version
    )
endif()

# macOS-specific frameworks
if(APPLE)
    target_link_libraries(dunelegacy
        PRIVATE
            "-framework Cocoa"
            "-framework Foundation"
            "-framework CoreFoundation"
    )
endif()

# Compiler options
target_compile_options(dunelegacy
    PRIVATE
        $<$<CXX_COMPILER_ID:MSVC>:/W4>
        $<$<NOT:$<CXX_COMPILER_ID:MSVC>>:-Wall -Wextra -pedantic>
)

# Data directory handling
set(DATA_DIR "${CMAKE_SOURCE_DIR}/data")

if(APPLE)

## dunelegacy 0.97.02

=== debian/changelog ===
dunelegacy (0.97.02-2) unstable; urgency=low

  * New upstream release.

 -- Sébastien Noel <sebastien@twolife.be>  Thu, 22 Jun 2023 14:19:29 +0200

dunelegacy (0.96.4) unstable; urgency=low

  * New AI Smart Bot and Quant Bot
  * Port to SDL 2
  * Use hardware acceleration for drawing
  * HD graphics: Use mask overlays to generate high-res graphics out of the low-res ones of the original game
  * Maximum number of units per house (either map dependent or as a new game option "override maximum number of units")
  * Move to fix-point math for game logic as floating-point operations may differ between platforms and compilers
  * Units entering refineries or repair yards are now moving onto the structure tile before disappearing
  * ADL music playback replaced: Now combines ScummVM AdlibDriver with Woody OPL chip emulation code from adplug
  * Tutorial hints are shown in the campaign to guide the user
  * New key bindings: Cycle through construction yards with 'H' and factories with 'F'; capture buildings with 'C'
  * Improve performance of Fog of War
  * Units can now be instructed to find the next repair yard on their own
  * Save game speed, scroll speed and sound volume as game settings
  * Use a smaller logical resolution for high resolution displays, e.g. 960x540 for 1920x1080
  * In campaign mode, the map choice screen remembers the region of a failed mission (the user has to select a different region)
  * New game option "Manual Carryall Drops"
  * Mentat's eyes are following the cursor
  * Clicking on mentat's eyes makes him blink and clicking on mentat's mouth makes him open it
  * Modding: Make it possible to disable a unit or structure
  * Save screenshots as PNG
  * 64-bit builds for Windows
  * Store complete map in save games (and replays) of single player custom games
  * 18 new maps by heinrich arkonnen
  * 4 new maps by Kuffar
  * Bugfix (Bug #32): Repaired units getting removed from control group (Reported by Chan Kun Wa)
  * Bugfix (Bug #36): AI non-hostile and inactive (Reported by Chan Kun Wa)
  * Bugfix (Bug #40): Bullets from gun turrets hit own building, e.g. other turrets (Reported by Dream Worker)
  * Bugfix (Bug #50): Changing the player's name while playing a mission makes starting the next mission or restarting the current mission crash
  * Bugfix (Bug #53): SFX mismatch when playing Harkonnen 
  * Bugfix (Bug #62): Worms spawn under rock (Reported by heinrich arkonnen)
  * Bugfix (Bug #67): Saving a game under Windows with (for filenames) illegal characters results in no save at all (Reported by vangrunz)
  * Bugfix (Bug #70): Changing the player name makes replays crash
  * Bugfix (Bug #71): Ornithopter animation is too fast (Thanks to Kartones for the patch)
  * Bugfix (Bug #72): Texture sizes were too big for older hardware; now textures are smaller than 2048x2048 (Reported by gdm85)
  * Bugfix (Bug #73): Shift the level of the voc files so that the last sample is 128 (Reported by Vortaka)
  * Bugfix (Bug 3610246): Mentat help used wrong houses (Reported by kuffar)
  * Various smaller bugfixes

 -- Richard Schaller <richard.schaller@gmx.de>  Mon, 26 Dec 2016 00:00:00 +0100

dunelegacy (0.96.3) unstable; urgency=low

  * Full-featured map editor with support of Dune2-compatible maps as well as the extended map format
  * Integration of OpenSuperDune (a replacement to the original SuperDune)
  * Unit/Structure stats and the techtree is read from a config file
  * Used scaler (Nearest Neighbor or Scale2x) is configurable (default = Scale2x)
  * Game completely localizable (except helping menu)
  * Harvesters now have a return command
  * Trying to place a structure on a tile which is already occupied by (your own) units orders them to move away
  * Add support for multiple different AI implementations
  * Improved AI: Base is now built up faster and more compact
  * New single and multiplayer maps
  * Determine username automatically upon first start up
  * Pressing an assigned number twice centers the screen on the selected units
  * Destroyed units might spawn a soldier (Probability depends on the type of unit)
  * Quad, Trike and Infantry units have a bumpy moving style when moving over rocks, mountains and thick spice
  * Idling units randomly turn around
  * Bullets now have an explosion animation when hitting
  * Spice blooms have now their own animation
  * Full Harvesters move 40% slower than empty ones
  * Units are defined badly damaged (smoke, only one weapon) if < 50% max. health (instead of 30%)
  * Sardaukar Troopers and Fremen Troopers are no unit types on its own anymore (just normal Troopers)
  * Deviation chance is now house specific
  * Starport prices are now normal distributed (instead of uniform)
  * Limiting number of palaces to one is now optional (default = off)
  * As in Dune II killed sandworms no longer respawn; old behavior is now an option (default = off)
  * New game option: Sandworms drop spice when killed (default = off)
  * Changes to game speed: Globally configurable; saved to and loaded from savegame; configurable before start of a multiplayer game
  * Update enet to version 1.3.6
  * Code was refactored in order to have a more consistent style
  * Bugfix: Sand damage was using the wrong graphics
  * Bugfix: Make it possible to order any type of unit from the starport if specified in the CHOAM section
  * Bugfix: Build with SDL 1.2.14 on Mac OS X for Lion compatibility
  * Bugfix: Allow special units to be delivered by reinforcements
  * Bugfix: Correct order of houses is Harkonnen, Atreides, Ordos, Fremen, Sardaukar, Mercenary as in the color palette
  * Bugfix: Minimap was not updated correctly when playing with fog-of-war enabled
  * Bugfix: Stopping a unit that was awaiting pickup could "freeze" the carryall
  * Bugfix: It was possible to exceed the spice storage limit (it's still possible to circumvent the limit but it's more complex)
  * Bugfix: Harvester returns after the last tile of spice on the map is cleared


=== debian/control ===
Source: dunelegacy
Section: games
Priority: optional
Maintainer: Richard Schaller <richard.schaller@gmx.de>
Build-Depends: debhelper-compat (= 13), libsdl2-dev, libsdl2-mixer-dev, libsdl2-ttf-dev, libcppunit-dev
Standards-Version: 4.6.2
Homepage: http://sourceforge.net/projects/dunelegacy

Package: dunelegacy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dune II clone
 This clone of Dune II needs the original Dune II graphics, sounds
 and scenario data (PAK-files in the Dune II installation directory).
 Dune Legacy tries to be as similar as possible to the original
 gameplay but to integrate user interface features most modern
 realtime-strategy games have, e.g. selecting multiple units.
 .
 Lead one of three interplanetary houses, Atreides, Harkonnen
 or Ordos, in an attempt to harvest the largest amount of spice
 from the sand dunes. Exchange your spice stockpiles for credits
 through refinement and build an army capable of thwarting attempts
 of the other houses to stop your harvesting!

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --datarootdir=/usr/share/games --bindir=/usr/games

## dunelegacy 0.99.4

=== debian/changelog ===
dunelegacy (0.99.4-0ddebs1~debian13) trixie; urgency=medium

  * New Release update

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 14 Dec 2025 02:40:15 +0100

dunelegacy (0.99.3-0ddebs1) unstable; urgency=medium

  * New Release update

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 13 Dec 2025 23:58:52 +0100

dunelegacy (0.99.2-0ddebs1) unstable; urgency=medium

  * New upstream update
  * data package is installed in /usr/share/games/dunelegacy instead of
    /usr/share/DuneLegacy

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 06 Dec 2025 15:17:49 +0100

dunelegacy (0.96.4-0ddebs10) unstable; urgency=medium

  * Updated to standards-version 4.6.2
  * use debhelper compatibility v13

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Wed, 24 Apr 2024 15:27:42 +0200

dunelegacy (0.96.4-0ddebs9) unstable; urgency=medium

  * use xz compression until debian 13 is released

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 30 Apr 2023 23:38:26 +0200

dunelegacy (0.96.4-0ddebs8) unstable; urgency=medium

  * update to standards-version 4.6.0.1
  * make use of debhelper-compat (= 12) dependency, and remove
    debian/compat file

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 02 May 2022 21:21:28 +0200

dunelegacy (0.96.4-0ddebs7) unstable; urgency=medium

  * updated to standards-version 4.5.0

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 14 Apr 2020 21:32:30 +0200

dunelegacy (0.96.4-0ddebs6) unstable; urgency=medium

  * debian/rules : use flto
  * configure.ac : change CFLAGS, update SDL2 and SDL_mixer detectio and link
  * big patch to get correct include path for SDL2

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 26 Nov 2019 02:56:39 +0100

dunelegacy (0.96.4-0ddebs5) unstable; urgency=medium

  * update to standard version to 4.1.4
  * patch for compiling with SDL2_Mixer < 2.0.1 and > 2.0.2

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Thu, 13 Sep 2018 19:14:00 +0200

dunelegacy (0.96.4-0ddebs4) unstable; urgency=medium

  * Update package name in case of a dist upgrade

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 21 Jul 2018 17:19:55 +0200

dunelegacy (0.96.4-0ddebs3) unstable; urgency=medium

  * fixed some lintian errors
  * Created a data package to save some space

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Fri, 02 Feb 2018 14:00:01 +0100

dunelegacy (0.96.4-0ddebs2) unstable; urgency=medium

  * Added an icon
  * Enhance French translation
  * Some docs were not packaged
  * use autoreconf instead of autotools-dev
  * compile using flto

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Wed, 26 Jul 2017 13:51:03 +0200

dunelegacy (0.96.4-0ddebs1) unstable; urgency=medium

  * New upstream release
  * Added watchfile
  * Updated dependencies

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 02 Apr 2017 15:46:38 +0200

dunelegacy (0.96.3-0ddebs2) unstable; urgency=medium

  * updated to standards-version 3.9.7

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 25 Jul 2016 12:31:02 +0200

dunelegacy (0.96.3-0ddebs1) unstable; urgency=medium

  * updated debian packaging

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Fri, 06 May 2016 02:45:44 +0200

=== debian/control ===
Source: dunelegacy
Section: games
Priority: optional
Maintainer: Richard Schaller <richard.schaller@gmx.de>
Build-Depends:
 debhelper-compat (= 13),
 libsdl2-dev,
 libsdl2-mixer-dev,
 libcppunit-dev,
 libsdl2-ttf-dev,
 libcurl4-gnutls-dev,
 cmake,
 libminiupnpc-dev,
 libdiscord-rpc-dev,
 pkgconf
Standards-Version: 4.6.2
Homepage: https://sourceforge.net/projects/dunelegacy
Rules-Requires-Root: no

Package: dunelegacy
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dunelegacy-data
Description: Dune II clone
 Clone of Dune II needs the original Dune II graphics, sounds and scenario
 data (PAK-files in the Dune II installation directory). Dune Legacy tries to be
  as similar as possible to the original gameplay but to integrate user
  interface features most modern realtime-strategy games have, e.g. selecting
  multiple units.
 .
 Lead one of three interplanetary houses, Atreides, Harkonnen or Ordos, in an
 attempt to harvest the largest amount of spice from the sand dunes. Exchange
 your spice stockpiles for credits through refinement and build an army capable
 of thwarting attempts of the other houses to stop your harvesting!

Package: dunelegacy-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Data files for dunelegacy
 dunelegacy data files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -flto
export DEB_CXXFLAGS_MAINT_APPEND  = -flto
export DEB_LDFLAGS_MAINT_APPEND  = -flto

%:
	dh $@  --buildsystem=cmake --builddirectory=build

#override_dh_autoreconf:
#	AUTOMAKE="automake --foreign" autoreconf -is

=== debian/watch ===
version=4
opts="compression=xz,repack"
http://sf.net/dunelegacy/dunelegacy-@ANY_VERSION@-src@ARCHIVE_EXT@ \
debian uupdate

## dunelegacy 0.99.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -200,6 +200,7 @@
         Network/MetaServerClient.cpp
         Network/VersionChecker.cpp
         Network/UPnPManager.cpp
+        Network/StunClient.cpp
 
         # Players
         players/Player.cpp
@@ -417,4 +418,3 @@
 # Data directory handling
 set(DATA_DIR "${CMAKE_SOURCE_DIR}/data")
 
-if(APPLE)

=== debian/changelog ===
dunelegacy (0.99.5-0ddebs2~debian13) trixie; urgency=medium

  * fixed compilation for distributions with miniupnpc < 2.2.8
  * moved user pak files to a better place : ~.local/share/games/dunelegacy 

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Thu, 25 Dec 2025 12:52:41 +0100

dunelegacy (0.99.5-0ddebs1) unstable; urgency=medium

  * New Release update

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Thu, 25 Dec 2025 02:23:13 +0100

dunelegacy (0.99.4-0ddebs1) unstable; urgency=medium

  * New Release update

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 14 Dec 2025 02:40:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,3 @@
 %:
 	dh $@  --buildsystem=cmake --builddirectory=build
 
-#override_dh_autoreconf:
-#	AUTOMAKE="automake --foreign" autoreconf -is
